package androidx.media;

import ῲ.ᑓ.AbstractC1617;

public final class AudioAttributesImplBaseParcelizer {
    public static AudioAttributesImplBase read(AbstractC1617 k) {
        AudioAttributesImplBase audioAttributesImplBase = new AudioAttributesImplBase();
        audioAttributesImplBase.f1376 = k.m4197(audioAttributesImplBase.f1376, 1);
        audioAttributesImplBase.f1375 = k.m4197(audioAttributesImplBase.f1375, 2);
        audioAttributesImplBase.f1374 = k.m4197(audioAttributesImplBase.f1374, 3);
        audioAttributesImplBase.f1377 = k.m4197(audioAttributesImplBase.f1377, 4);
        return audioAttributesImplBase;
    }

    public static void write(AudioAttributesImplBase audioAttributesImplBase, AbstractC1617 k) {
        k.m4207();
        k.m4195(audioAttributesImplBase.f1376, 1);
        k.m4195(audioAttributesImplBase.f1375, 2);
        k.m4195(audioAttributesImplBase.f1374, 3);
        k.m4195(audioAttributesImplBase.f1377, 4);
    }
}
